lzma_lzma2_coder Struct Reference

## Public Types

enum | sequence { SEQ_CONTROL , SEQ_UNCOMPRESSED_1 , SEQ_UNCOMPRESSED_2 , SEQ_COMPRESSED_0 , SEQ_COMPRESSED_1 , SEQ_PROPERTIES , SEQ_LZMA , SEQ_COPY }
enum | { SEQ_INIT , SEQ_LZMA_ENCODE , SEQ_LZMA_COPY , SEQ_UNCOMPRESSED_HEADER , SEQ_UNCOMPRESSED_COPY }

## Data Fields

enum lzma_lzma2_coder::sequence | sequence
enum sequence | next_sequence
| Sequence after the size fields have been decoded. More...
lzma_lz_decoder | lzma
| LZMA decoder. More...
size_t | uncompressed_size
| Uncompressed size of LZMA chunk. More...
size_t | compressed_size
bool | need_properties
bool | need_dictionary_reset
lzma_options_lzma | options
enum lzma_lzma2_coder:: { ... } | sequence
void * | lzma
| LZMA encoder. More...
lzma_options_lzma | opt_cur
| LZMA options currently in use. More...
bool | need_state_reset
size_t | buf_pos
| Read position in buf[]. More...
uint8_t | buf [LZMA2_HEADER_MAX+LZMA2_CHUNK_MAX]
| Buffer to hold the chunk header and LZMA compressed data. More...

## Field Documentation

## next_sequence

enum sequence lzma_lzma2_coder::next_sequence

Sequence after the size fields have been decoded.

## lzma [1/2]

lzma_lz_decoder lzma_lzma2_coder::lzma

LZMA decoder.

## uncompressed_size

size_t lzma_lzma2_coder::uncompressed_size

Uncompressed size of LZMA chunk.

Uncompressed size of a chunk.

## compressed_size

size_t lzma_lzma2_coder::compressed_size

Compressed size of the chunk (naturally equals to uncompressed size of uncompressed chunk)

Compressed size of a chunk (excluding headers); this is also used to indicate the end of buf[] in SEQ_LZMA_COPY.

## need_properties

bool lzma_lzma2_coder::need_properties

True if properties are needed. This is false before the first LZMA chunk.

## need_dictionary_reset

bool lzma_lzma2_coder::need_dictionary_reset

True if dictionary reset is needed. This is false before the first chunk (LZMA or uncompressed).

## lzma [2/2]

void* lzma_lzma2_coder::lzma

LZMA encoder.

## opt_cur

lzma_options_lzma lzma_lzma2_coder::opt_cur

LZMA options currently in use.

## buf_pos

size_t lzma_lzma2_coder::buf_pos

Read position in buf[].

## buf

uint8_t lzma_lzma2_coder::buf[LZMA2_HEADER_MAX+LZMA2_CHUNK_MAX]

Buffer to hold the chunk header and LZMA compressed data.

The documentation for this struct was generated from the following files:

- liblzma/lzma/lzma2_decoder.c
- liblzma/lzma/lzma2_encoder.c